Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.runtime.channels
Class CompensationChannelListener

    java.lang.Object
      org.apache.ode.jacob.JacobObject
          org.apache.ode.jacob.ChannelListener<CompensationChannel>
              org.apache.ode.bpel.runtime.channels.CompensationChannelListener

All Implemented Interfaces:
  java.io.Serializable, Compensation

    public abstract class CompensationChannelListener

extends ChannelListener<CompensationChannel>
implements Compensation

An auto-generated channel listener abstract class for the `Compensation` channel type.

See Also:
  `Compensation`, `CompensationChannel`, Serialized Form

Constructor Summary
`protected` | `CompensationChannelListener(CompensationChannel channel)`

Method Summary
`protected org.apache.commons.logging.Log` | `log()`

Methods inherited from class org.apache.ode.jacob.ChannelListener
`getChannel, getImplementedMethods, or, or, setChannel, toString`

Methods inherited from class org.apache.ode.jacob.JacobObject
`getClassName, getExtension, getMethod, importChannel, instance, newChannel, newChannel, object, object, object, object, replication, replication`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.ode.bpel.runtime.channels.Compensation
`compensate, forget`

Constructor Detail

### CompensationChannelListener

    protected CompensationChannelListener(CompensationChannel channel)

Method Detail

### log

    protected org.apache.commons.logging.Log log()

  Overrides:
    `log` in class `ChannelListener<CompensationChannel>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD